Debian Bug report logs - #546566
smartmontools: Smartmontools failed to monitor more than 1 disk.

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Ghent <ghent.debian@gmail.com>

Date: Mon, 14 Sep 2009 07:45:06 UTC

Severity: normal

Found in version smartmontools/5.38+svn2879-4

Fixed in version smartmontools/5.39-3

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/apps/trac/smartmontools/ticket/13

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#546566; Package smartmontools. (Mon, 14 Sep 2009 07:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghent <ghent.debian@gmail.com>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Mon, 14 Sep 2009 07:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ghent <ghent.debian@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smartmontools: Smartmontools failed to monitor more than 1 disk.
Date: Mon, 14 Sep 2009 09:28:44 +0200
Package: smartmontools
Version: 5.38+svn2879-4
Severity: normal


I have just upgraded smartmontools to 5.38+svn2879-4 and the installation failed because smartmontools doesn't find anymore my disks.
If I use DEVICESCAN in smartd.conf :

$ Opened configuration file /etc/smartd.conf
$ Configuration file /etc/smartd.conf was parsed, found DEVICESCAN, scanning devices
$ In the system's table of devices NO devices found to scan
$ Unable to monitor any SMART enabled devices. Try debug (-d) option. Exiting...

If I use several lines with /dev/sdX (in place of DEVICESCAN) in smart.conf :

$ Opened configuration file /etc/smartd.conf
$ Configuration file /etc/smartd.conf parsed.
$ Device: /dev/sda [SAT], opened
$ Device: /dev/sda [SAT], found in smartd database.
$ Device: /dev/sda [SAT], enabled SMART Attribute Autosave.
$ Device: /dev/sda [SAT], enabled SMART Automatic Offline Testing.
$ Device: /dev/sda [SAT], is SMART capable. Adding to "monitor" list.
$ Device: dev/sdb, unable to autodetect device type
$ Device: dev/sdc [SAT], open() failed: No such device
$ Device: dev/sdd [SAT], open() failed: No such device
$ Device: dev/sde [SAT], open() failed: No such device
$ Device: dev/sdf [SAT], open() failed: No such device
$ Device: dev/sdg [SAT], open() failed: No such device
$ Monitoring 1 ATA and 0 SCSI devices
$ Device: /dev/sda [SAT], opened ATA device
$ Device: /dev/sda [SAT], initial Temperature is 30 Celsius (Min/Max ??/30)

Only /dev/sda is monitored. But If the first disk in the config file is /dev/sdb, smartmontools monitors /dev/sdb and anymore /dev/sda


-- Package-specific info:
Ouput of /usr/share/bug/smartmontools:
# CONFIG_IDE_TASK_IOCTL is not set

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (910, 'stable'), (890, 'stable'), (180, 'unstable'), (60, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages smartmontools depends on:
ii  debianutils                   3.2.1      Miscellaneous utilities specific t
ii  libc6                         2.9-25     GNU C Library: Shared libraries
ii  libcap-ng0                    0.5.1-1    Development and header files for l
ii  libgcc1                       1:4.4.1-1  GCC support library
ii  libstdc++6                    4.4.1-1    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages smartmontools recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent

Versions of packages smartmontools suggests:
ii  gsmartcontrol                 0.8.4-2    graphical user interface for smart
pn  powersaved                    <none>     (no description available)
ii  smart-notifier                0.28-1.1   graphical hard disk health status 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#546566; Package smartmontools. (Wed, 16 Sep 2009 09:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Wed, 16 Sep 2009 09:00:08 GMT) Full text and rfc822 format available.

Message #10 received at 546566@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Ghent <ghent.debian@gmail.com>, 546566@bugs.debian.org
Subject: Re: Bug#546566: smartmontools: Smartmontools failed to monitor more than 1 disk.
Date: Wed, 16 Sep 2009 10:51:35 +0200
[Message part 1 (text/plain, inline)]
Hi,

Ghent ha scritto:
> I have just upgraded smartmontools to 5.38+svn2879-4 and the installation failed because smartmontools doesn't find anymore my disks.
> If I use DEVICESCAN in smartd.conf :
> 
> $ Opened configuration file /etc/smartd.conf
> $ Configuration file /etc/smartd.conf was parsed, found DEVICESCAN, scanning devices
> $ In the system's table of devices NO devices found to scan
> $ Unable to monitor any SMART enabled devices. Try debug (-d) option. Exiting...

Could you run "/usr/sbin/smartd -d" and paste the output please?

Cheers,
Giuseppe


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#546566; Package smartmontools. (Wed, 16 Sep 2009 16:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghent <ghent.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Wed, 16 Sep 2009 16:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 546566@bugs.debian.org (full text, mbox):

From: Ghent <ghent.debian@gmail.com>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 546566@bugs.debian.org
Subject: Re: Bug#546566: smartmontools: Smartmontools failed to monitor more than 1 disk.
Date: Wed, 16 Sep 2009 18:17:40 +0200
Hi,

	The output of this command is in my first mail (I've just remove the 2
firsts lines which show the version number and the copyright) :

If I use DEVICESCAN in smartd.conf :

$ Opened configuration file /etc/smartd.conf
$ Configuration file /etc/smartd.conf was parsed, found DEVICESCAN,
scanning devices
$ In the system's table of devices NO devices found to scan
$ Unable to monitor any SMART enabled devices. Try debug (-d) option.
Exiting...

If I use several lines with /dev/sdX (in place of DEVICESCAN) in
smart.conf :

$ Opened configuration file /etc/smartd.conf
$ Configuration file /etc/smartd.conf parsed.
$ Device: /dev/sda [SAT], opened
$ Device: /dev/sda [SAT], found in smartd database.
$ Device: /dev/sda [SAT], enabled SMART Attribute Autosave.
$ Device: /dev/sda [SAT], enabled SMART Automatic Offline Testing.
$ Device: /dev/sda [SAT], is SMART capable. Adding to "monitor" list.
$ Device: dev/sdb, unable to autodetect device type
$ Device: dev/sdc [SAT], open() failed: No such device
$ Device: dev/sdd [SAT], open() failed: No such device
$ Device: dev/sde [SAT], open() failed: No such device
$ Device: dev/sdf [SAT], open() failed: No such device
$ Device: dev/sdg [SAT], open() failed: No such device
$ Monitoring 1 ATA and 0 SCSI devices
$ Device: /dev/sda [SAT], opened ATA device
$ Device: /dev/sda [SAT], initial Temperature is 30 Celsius (Min/Max ??/30)

Only /dev/sda is monitored. But If the first disk in the config file is
/dev/sdb, smartmontools monitors /dev/sdb and anymore /dev/sda

-- 
Kindly,
Ghent




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#546566; Package smartmontools. (Wed, 16 Sep 2009 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghent <ghent.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Wed, 16 Sep 2009 17:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 546566@bugs.debian.org (full text, mbox):

From: Ghent <ghent.debian@gmail.com>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 546566@bugs.debian.org
Subject: Re: Bug#546566: smartmontools: Smartmontools failed to monitor more than 1 disk.
Date: Wed, 16 Sep 2009 18:57:26 +0200
After more tests,

In the config file, when I write one line per device : it's work (not
for my first e-mail but I changed nothing for it, so I don't know where
was the problem).

DEVICESCAN works if I removed the type of the devices (-d sat). I don't
know if smartmontools has a problem with one of my device or if it's a
bug but before the update, I had no problem with DEVICESCAN and "-d sat".


-- 
Kindly,
Ghent




Set Bug forwarded-to-address to 'https://sourceforge.net/apps/trac/smartmontools/ticket/13'. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Fri, 18 Sep 2009 06:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#546566; Package smartmontools. (Fri, 22 Jan 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. (Fri, 22 Jan 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 546566@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 546566@bugs.debian.org,control@bugs.debian.org,546566-submitter@bugs.debian.org
Subject: [e66f4fd] Fix for Bug#546566 committed to git
Date: Fri, 22 Jan 2010 19:02:04 +0000
tags 546566 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Fri, 22 Jan 2010 20:01:33 +0100.
 The fix will be in the next upload. 
=========================================================================
Allow smartd 'DEVICESCAN -d sat'

Closes: #546566
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/smartmontools.git;a=commitdiff;h=e66f4fd






Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 19:03:06 GMT) Full text and rfc822 format available.

Message sent on to Ghent <ghent.debian@gmail.com>:
Bug#546566. (Fri, 22 Jan 2010 19:03:21 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Fri, 22 Jan 2010 19:21:06 GMT) Full text and rfc822 format available.

Notification sent to Ghent <ghent.debian@gmail.com>:
Bug acknowledged by developer. (Fri, 22 Jan 2010 19:21:06 GMT) Full text and rfc822 format available.

Message #37 received at 546566-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 546566-close@bugs.debian.org
Subject: Bug#546566: fixed in smartmontools 5.39-3
Date: Fri, 22 Jan 2010 19:17:46 +0000
Source: smartmontools
Source-Version: 5.39-3

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.39-3.diff.gz
  to main/s/smartmontools/smartmontools_5.39-3.diff.gz
smartmontools_5.39-3.dsc
  to main/s/smartmontools/smartmontools_5.39-3.dsc
smartmontools_5.39-3_i386.deb
  to main/s/smartmontools/smartmontools_5.39-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 546566@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Jan 2010 20:02:53 +0100
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.39-3
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 545784 546566
Changes: 
 smartmontools (5.39-3) unstable; urgency=low
 .
   * [3d32778] Fixed quietmode option (Closes: #545784)
   * [e66f4fd] Allow smartd 'DEVICESCAN -d sat' (Closes: #546566)
Checksums-Sha1: 
 acbe44b98141576ff5137fa0a7cca4fa22c5f855 1480 smartmontools_5.39-3.dsc
 8e2200429dccd9313f1fa52af9afff44fdc826e4 37035 smartmontools_5.39-3.diff.gz
 318ab1c0bf30acb75e962fac7f03f178c2b97ec5 417946 smartmontools_5.39-3_i386.deb
Checksums-Sha256: 
 33520e4dbee75d40d63910c8b65654acc7a7b631a4df14e1bdeb9ed14ea76b20 1480 smartmontools_5.39-3.dsc
 84f9a381e65996f2027bb401d9710c189bb69472dd26050e7b688cba13c5dc27 37035 smartmontools_5.39-3.diff.gz
 d0ff9ff1664387550fe2ffa1551233afcdf4200cd1968e04b1bc82d722209b99 417946 smartmontools_5.39-3_i386.deb
Files: 
 669fe927025d076f95d7b6f77374f29c 1480 utils optional smartmontools_5.39-3.dsc
 5ec6d1735adf87beedd70f558b2646b1 37035 utils optional smartmontools_5.39-3.diff.gz
 b6b65a0319432cc9b7e30d2aee433d12 417946 utils optional smartmontools_5.39-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktZ97MACgkQNxpp46476ao83gCfVc8hOxOtKiM1CqYA0m0EzW1n
Q64An3K/ogK85aTc1btxseB/f6Q7BqIf
=HkTO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:33:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:01:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.